/* Hide the default radio button */
.form-check-input-radio {
  position: absolute;
  opacity: 0;
  cursor: pointer;
}

/* Style the custom radio button */
.form-check-label-radio {
  width: 100%;
  display: inline-block;
  position: relative;
  padding: 10px 20px;
  border: 2px solid #b8b9ba;
  /* Border color */
  border-radius: 4px;
  cursor: pointer;
  transition: background-color 0.3s, color 0.3s;
  color: black;
}

/* Style when radio button is checked */
.form-check-input-radio:checked+.form-check-label-radio {
  background-color: #007bff;
  /* Background color when checked */
  border: 2px solid #007bff;
  /* Border color */
  color: white;
  /* Text color when checked */
}

/* Optional: Add some styling for hover effect */
.form-check-label-radio:hover {
  background-color: #0056b3;
  color: white;
}


.selectgroup {
  display: -ms-inline-flexbox;
  display: inline-flex;
}

.selectgroup-item {
  -ms-flex-positive: 1;
  flex-grow: 1;
  position: relative;
  font-weight: 400 !important;
}

.selectgroup-item+.selectgroup-item {
  margin-left: -1px;
}

.selectgroup-item:not(:first-child) .selectgroup-button {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.selectgroup-item:not(:last-child) .selectgroup-button {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.selectgroup-input {
  opacity: 0;
  position: absolute;
  z-index: -1;
  top: 0;
  left: 0;
}

.selectgroup-button {
  display: block;
  border: 1px solid rgba(0, 40, 100, 0.12);
  text-align: center;
  padding: 0.375rem 1rem;
  position: relative;
  cursor: pointer;
  border-radius: 3px;
  color: #9aa0ac;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  font-size: 1rem;
  line-height: 1.5rem;
  min-width: 2.375rem;
}

.selectgroup-button-icon {
  padding-left: .5rem;
  padding-right: .5rem;
  font-size: 1rem;
}

.selectgroup-input:checked+.selectgroup-button {
  border-color: #1572E8;
  z-index: 1;
  color: #1572E8;
  background: rgba(21, 114, 232, 0.15);
}

.selectgroup-input:focus+.selectgroup-button {
  border-color: #1572E8;
  z-index: 2;
  color: #1572E8;
  box-shadow: 0 0 0 2px rgba(21, 114, 232, 0.25);
}

.selectgroup-pills {
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -ms-flex-align: start;
  align-items: flex-start;
}

.selectgroup-pills .selectgroup-item {
  margin-right: .5rem;
  -ms-flex-positive: 0;
  flex-grow: 0;
}

.selectgroup-pills .selectgroup-button {
  border-radius: 50px !important;
}

.selectgroup.selectgroup-primary .selectgroup-input:checked+.selectgroup-button {
  border-color: #1572E8;
  color: #1572E8;
  background: rgba(21, 114, 232, 0.15);
}

.selectgroup.selectgroup-primary .selectgroup-input:focus+.selectgroup-button {
  border-color: #1572E8;
  color: #1572E8;
  box-shadow: 0 0 0 2px rgba(21, 114, 232, 0.25);
}

.selectgroup.selectgroup-secondary .selectgroup-input:checked+.selectgroup-button {
  border-color: #6861CE;
  color: #6861CE;
  background: rgba(104, 97, 206, 0.15);
}

.selectgroup.selectgroup-secondary .selectgroup-input:focus+.selectgroup-button {
  border-color: #6861CE;
  color: #6861CE;
  box-shadow: 0 0 0 2px rgba(104, 97, 206, 0.25);
}

.selectgroup.selectgroup-info .selectgroup-input:checked+.selectgroup-button {
  border-color: #48ABF7;
  color: #48ABF7;
  background: rgba(72, 171, 247, 0.15);
}

.selectgroup.selectgroup-info .selectgroup-input:focus+.selectgroup-button {
  border-color: #48ABF7;
  color: #48ABF7;
  box-shadow: 0 0 0 2px rgba(72, 171, 247, 0.25);
}

.selectgroup.selectgroup-success .selectgroup-input:checked+.selectgroup-button {
  border-color: #31CE36;
  color: #31CE36;
  background: rgba(49, 206, 54, 0.15);
}

.selectgroup.selectgroup-success .selectgroup-input:focus+.selectgroup-button {
  border-color: #31CE36;
  color: #31CE36;
  box-shadow: 0 0 0 2px rgba(49, 206, 54, 0.25);
}

.selectgroup.selectgroup-warning .selectgroup-input:checked+.selectgroup-button {
  border-color: #FFAD46;
  color: #FFAD46;
  background: rgba(255, 173, 70, 0.15);
}

.selectgroup.selectgroup-warning .selectgroup-input:focus+.selectgroup-button {
  border-color: #FFAD46;
  color: #FFAD46;
  box-shadow: 0 0 0 2px rgba(255, 173, 70, 0.25);
}

.selectgroup.selectgroup-danger .selectgroup-input:checked+.selectgroup-button {
  border-color: #F25961;
  color: #F25961;
  background: rgba(242, 89, 97, 0.15);
}

.selectgroup.selectgroup-danger .selectgroup-input:focus+.selectgroup-button {
  border-color: #F25961;
  color: #F25961;
  box-shadow: 0 0 0 2px rgba(242, 89, 97, 0.25);
}